CUDA Driver API (PDF) - v10.0.130 (older) - Last updated August 25, 2018 - Send Feedback

## 6.5. CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC Struct Reference

## [Data types used by CUDA driver]

External memory mipmap descriptor

### Public Variables

struct CUDA_ARRAY3D_DESCRIPTOR arrayDesc
unsigned int numLevels
unsigned long long offset

### Variables

struct CUDA_ARRAY3D_DESCRIPTOR CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::arrayDesc [inherited]

  Format, dimension and type of base level of the mipmap chain

unsigned int CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::numLevels [inherited]

  Total number of levels in the mipmap chain

unsigned long long CUDA_EXTERNAL_MEMORY_MIPMAPPED_ARRAY_DESC::offset [inherited]

  Offset into the memory object where the base level of the mipmap chain is.